System.Core 4.0.0.0 System.Security.Cryptography.MD5

This algorithm is for hashing only and does not provide any encryption or decryption. It uses the BCrypt (BestCrypt) layer CNG.

Newer hashing algorithms such as the Secure Hash Algorithms SHA-256 and SHA-512 are available. Consider using either the class or the class instead of the class. Use only for compatibility with legacy applications and data.

Using the MD5 algorithm with the FIPS Windows security setting enabled throws a exception.

Provides a CNG (Cryptography Next Generation) implementation of the MD5 (Message Digest 5) 128-bit hashing algorithm.

- Constructor
  4.0.0.0
  System.Security.SecurityCritical
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Security.SecurityCritical
  System.Void `` To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Security.SecurityCritical
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Security.SecurityCritical
  System.Byte[] To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Security.SecurityCritical
  System.Void To be added.

  Initializes, or re-initializes, the instance of the hash algorithm.